/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class CustomerWithoutRenovationSimpleDTO implements Serializable {

   private static final long serialVersionUID = 1L;

   private String personName;
   private Date lastLoan;
   private String amountPaid;
   private String amountToPay;
   private String saldoInsoluto;
   private String actionNumber;
   private String numFee;
   private String addressHome;
   private String addressBusiness;
   private String companyName;
   private String strPaymentDate;

   // Constructor
   public CustomerWithoutRenovationSimpleDTO() {
   }

   // Constructor desde entidad
   public CustomerWithoutRenovationSimpleDTO(CustomerWithoutRenovationView entity) {
      this.personName = entity.getPersonName();
      this.lastLoan = entity.getLastLoan();
      this.amountPaid = entity.getAmountPaid();
      this.amountToPay = entity.getAmountToPay();
      this.saldoInsoluto = entity.getSaldoInsoluto();
      this.actionNumber = entity.getActionNumber();
      this.numFee = entity.getNumFee();
      this.addressHome = entity.getAddressHome();
      this.addressBusiness = entity.getAddressBusiness();
      this.companyName = entity.getCompanyName();
      this.strPaymentDate = entity.getStrPaymentDate();
   }

   public String getPersonName() {
      return personName;
   }

   public void setPersonName(String personName) {
      this.personName = personName;
   }

   public Date getLastLoan() {
      return lastLoan;
   }

   public void setLastLoan(Date lastLoan) {
      this.lastLoan = lastLoan;
   }

   public String getAmountPaid() {
      return amountPaid;
   }

   public void setAmountPaid(String amountPaid) {
      this.amountPaid = amountPaid;
   }

   public String getAmountToPay() {
      return amountToPay;
   }

   public void setAmountToPay(String amountToPay) {
      this.amountToPay = amountToPay;
   }

   public String getSaldoInsoluto() {
      return saldoInsoluto;
   }

   public void setSaldoInsoluto(String saldoInsoluto) {
      this.saldoInsoluto = saldoInsoluto;
   }

   public String getActionNumber() {
      return actionNumber;
   }

   public void setActionNumber(String actionNumber) {
      this.actionNumber = actionNumber;
   }

   public String getNumFee() {
      return numFee;
   }

   public void setNumFee(String numFee) {
      this.numFee = numFee;
   }

   public String getAddressHome() {
      return addressHome;
   }

   public void setAddressHome(String addressHome) {
      this.addressHome = addressHome;
   }

   public String getAddressBusiness() {
      return addressBusiness;
   }

   public void setAddressBusiness(String addressBusiness) {
      this.addressBusiness = addressBusiness;
   }

   public String getCompanyName() {
      return companyName;
   }

   public void setCompanyName(String companyName) {
      this.companyName = companyName;
   }

   public String getStrPaymentDate() {
      return strPaymentDate;
   }

   public void setStrPaymentDate(String strPaymentDate) {
      this.strPaymentDate = strPaymentDate;
   }

}
